<?php
defined('_JEXEC') or die();

jimport('joomla.form.formfield');

JLoader::register('Baikalsr\Lib\Tools', dirname(__FILE__) . '/../lib/tools.php');

class JFormFieldBsautocompletemulti extends JFormField {

	var $type = 'Bsautocompletemulti';

	protected function getInput() {
		$attr = '';

		// Initialize some field attributes.
		$attr .= !empty($this->class) ? ' class="' . $this->class . '"' : '';
		$attr .= $this->multiple ? ' multiple' : '';
		$attr .= $this->getAttribute("target") ? ' data-url="' . $this->getAttribute("target") . '"' : '';
		
		$options = '';

		$selectedPoints = $this->value;
		if(!is_array($selectedPoints)){
			if(!empty($selectedPoints))
				$selectedPoints = array($selectedPoints);
			else
				$selectedPoints = [];
		}
		
		$shipping_id = 0;
		
		$baikalsrTools = new Baikalsr\Lib\Tools();

		$action = hikaInput::get()->getCmd('subtask', '');

		if( $action == "shipping_edit" ){				
			$shipping_id = hikaInput::get()->getInteger('shipping_id', 0);
		}elseif( $action == "popupShow"){
			$order_id = hikashop_getCID('order_id');
			$orderClass = hikashop_get('class.order');
			$order = $orderClass->loadFullOrder($order_id);
			$shipping_id = $order->order_shipping_id;
		}
		
		if(!empty($shipping_id) && !empty($selectedPoints)){
			//get shipment config
			$shippingClass = hikashop_get('class.shipping');
			$config = $shippingClass->get($shipping_id);
			if (isset($config->shipping_params->test) && isset($config->shipping_params->authKeyTest) && isset($config->shipping_params->authKey)){
				if($config->shipping_params->test){
					$baikalsrTools::defineAuthParams( $config->shipping_params->authKeyTest, true );
				}else{
					$baikalsrTools::defineAuthParams( $config->shipping_params->authKey, false );
				}
			}
			$selected = 'selected="selected"';  
			foreach ($selectedPoints as $guid) {
				$arCity = $baikalsrTools::_getCityByGuid($guid);
				if(isset($arCity['title']) && !empty($arCity['title'])){
					$pointName = $arCity['title'];
					$disabled = '';
					$options .= '<option ' . $selected . ' ' . $disabled . ' value="' . $guid . '">' . $pointName . '</option>';
				}				
			}		
		}
		$html = '<select id="'. $this->id . '" name="' . $this->name . '" '. $attr .'>';
        $html .= $options;
        $html .= '</select>';
        return $html;
	}


}


